Skip to main content
GET
Get quotes

Authorizations

X-PM-Access-Key
string
header
required

Your API key ID (UUID). Generate at polymarket.us/developer.

X-PM-Timestamp
string
header
required

Unix timestamp in milliseconds. Must be within 30 seconds of server time.

X-PM-Signature
string
header
required

Base64-encoded Ed25519 signature of timestamp + method + path. See Authentication for details.

Query Parameters

limit
integer<int32>
default:100
Required range: 1 <= x <= 100
cursor
string
quoteId
string
rfqId
string
status
enum<string>
Available options:
QUOTE_STATUS_ACTIVE,
QUOTE_STATUS_CONFIRMED,
QUOTE_STATUS_DELETED,
QUOTE_STATUS_ACCEPTED,
QUOTE_STATUS_EXECUTED
userFilter
enum<string>
Available options:
USER_FILTER_SELF
rfqUserFilter
enum<string>
Available options:
USER_FILTER_SELF

Response

200 - application/json

A successful response.

quotes
object[]
cursor
string